| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
CompleteAnnotationHeader Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure CompleteAnnotationHeader defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | CompleteAnnotationHeader ()
| Default constructor.
eProsima_user_DllExport | ~CompleteAnnotationHeader ()
| Default destructor.
eProsima_user_DllExport | CompleteAnnotationHeader (const CompleteAnnotationHeader &x)
| Copy constructor.
eProsima_user_DllExport | CompleteAnnotationHeader (CompleteAnnotationHeader &&x) noexcept
| Move constructor.
eProsima_user_DllExport CompleteAnnotationHeader & | operator= (const CompleteAnnotationHeader &x)
| Copy assignment.
eProsima_user_DllExport CompleteAnnotationHeader & | operator= (CompleteAnnotationHeader &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const CompleteAnnotationHeader &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const CompleteAnnotationHeader &x) const
| Comparison operator.
eProsima_user_DllExport void | annotation_name (const QualifiedTypeName &_annotation_name)
| This function copies the value in member annotation_name.
eProsima_user_DllExport void | annotation_name (QualifiedTypeName &&_annotation_name)
| This function moves the value in member annotation_name.
eProsima_user_DllExport const QualifiedTypeName & | annotation_name () const
| This function returns a constant reference to member annotation_name.
eProsima_user_DllExport QualifiedTypeName & | annotation_name ()
| This function returns a reference to member annotation_name.

## Detailed Description

This class represents the structure CompleteAnnotationHeader defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ CompleteAnnotationHeader() [1/3]

eProsima_user_DllExport CompleteAnnotationHeader | ( |  | ) |

inline

Default constructor.

## ◆ ~CompleteAnnotationHeader()

eProsima_user_DllExport ~CompleteAnnotationHeader | ( |  | ) |

inline

Default destructor.

## ◆ CompleteAnnotationHeader() [2/3]

eProsima_user_DllExport CompleteAnnotationHeader | ( | const CompleteAnnotationHeader & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object CompleteAnnotationHeader that will be copied.

## ◆ CompleteAnnotationHeader() [3/3]

eProsima_user_DllExport CompleteAnnotationHeader | ( | CompleteAnnotationHeader && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object CompleteAnnotationHeader that will be copied.

## Member Function Documentation

## ◆ annotation_name() [1/4]

eProsima_user_DllExport QualifiedTypeName & annotation_name | ( |  | ) |

inline

This function returns a reference to member annotation_name.

Returns
  Reference to member annotation_name

## ◆ annotation_name() [2/4]

eProsima_user_DllExport const QualifiedTypeName & annotation_name | ( |  | ) | const

inline

This function returns a constant reference to member annotation_name.

Returns
  Constant reference to member annotation_name

## ◆ annotation_name() [3/4]

eProsima_user_DllExport void annotation_name | ( | const QualifiedTypeName & | _annotation_name | ) |

inline

This function copies the value in member annotation_name.

Parameters

  _annotation_name | New value to be copied in member annotation_name

## ◆ annotation_name() [4/4]

eProsima_user_DllExport void annotation_name | ( | QualifiedTypeName && | _annotation_name | ) |

inline

This function moves the value in member annotation_name.

Parameters

  _annotation_name | New value to be moved in member annotation_name

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const CompleteAnnotationHeader & | x | ) | const

inline

Comparison operator.

Parameters

  x | CompleteAnnotationHeader object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport CompleteAnnotationHeader & operator= | ( | CompleteAnnotationHeader && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object CompleteAnnotationHeader that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport CompleteAnnotationHeader & operator= | ( | const CompleteAnnotationHeader & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object CompleteAnnotationHeader that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const CompleteAnnotationHeader & | x | ) | const

inline

Comparison operator.

Parameters

  x | CompleteAnnotationHeader object to compare.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp